package org.exoplatform.cs.service.tickets;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: ali
 * Date: 28/12/16
 * Time: 15:16
 */
@Data
public class FlowState implements Serializable {
  private String state;
  private String role;
  private List<String> reason;
  private List<FlowStateSuccessor> successors;

  public FlowState() {
  }

  public FlowState(String state, List<FlowStateSuccessor> successors) {
    this.state = state;
    this.successors = successors;
  }

  public String getState() {
    return state;
  }

  public void setState(String state) {
    this.state = state;
  }

  public String getRole() {
    return role;
  }

  public void setRole(String role) {
    this.role = role;
  }

  public List<String> getReason() {
    return reason;
  }

  public void setReason(List<String>  reason) {
    this.reason = reason;
  }

  public List<FlowStateSuccessor> getSuccessors() {
    return successors;
  }

  public void setSuccessors(List<FlowStateSuccessor> successors) {
    this.successors = successors;
  }
}
